Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.Surface.ISO

    java.lang.Object
      java.lang.Enum<IRhino3dm.Surface.ISO>
          igeo.io.IRhino3dm.Surface.ISO

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.Surface.ISO>

Enclosing class:
  IRhino3dm.Surface

    public static enum IRhino3dm.Surface.ISO

extends java.lang.Enum<IRhino3dm.Surface.ISO>

Enum Constant Summary
`EIso`
`IsoCount`
`NIso`
`NotIso`
`SIso`
`WIso`
`XIso`
`YIso`

Method Summary
`static IRhino3dm.Surface.ISO` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.Surface.ISO[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotIso

    public static final IRhino3dm.Surface.ISO NotIso

### XIso

    public static final IRhino3dm.Surface.ISO XIso

### YIso

    public static final IRhino3dm.Surface.ISO YIso

### WIso

    public static final IRhino3dm.Surface.ISO WIso

### SIso

    public static final IRhino3dm.Surface.ISO SIso

### EIso

    public static final IRhino3dm.Surface.ISO EIso

### NIso

    public static final IRhino3dm.Surface.ISO NIso

### IsoCount

    public static final IRhino3dm.Surface.ISO IsoCount

Method Detail

### values

    public static IRhino3dm.Surface.ISO[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IRhino3dm.Surface.ISO c : IRhino3dm.Surface.ISO.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IRhino3dm.Surface.ISO valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD